# List Push Devices

> List the calling user's device registrations, active first.

Canonical URL: https://docs.botyard.io/docs/api/push-registrations/list_push_devices_v1_me_push_registrations_get

`GET /v1/me/push-registrations`

List the calling user's device registrations, active first.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `limit` | query | no | integer |  |
| `offset` | query | no | integer |  |
| `include_disabled` | query | no | boolean | Also return registrations that no longer receive pushes. |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | Successful Response | PaginatedResponse_PushRegistrationResponse_ |
| `default` | RFC 9457 Problem Details error response | ProblemDetails |

Full schemas: operation `list_push_devices_v1_me_push_registrations_get` in the OpenAPI spec at https://api.botyard.io/openapi.json.
